import React from 'react';
import { Meta, Story } from '@storybook/react';
import { App } from './app';
import { Provider } from 'react-redux';
import { store } from '@graphpolaris/shared/data-access/store';
import { OurThemeProvider } from '@graphpolaris/shared/data-access/theme';

export default {
  component: App,
  title: 'App',
  decorators: [
    // using the real store here
    (story) => (
      <Provider store={store}>
        <OurThemeProvider>{story()}</OurThemeProvider>
      </Provider>
    ),
  ],
} as Meta;

const Template: Story = (args) => <App {...args} />;

export const Primary = Template.bind({});
Primary.args = {};
